<?php

namespace domain\Order\OrderStatusHistory;

use domain\_\AbstractModule;

class OrderStatusHistoryModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            OrderStatusHistoryDefinition::class,
            OrderStatusHistorySolver::class,
            OrderStatusHistoryBuilder::class,
            OrderStatusHistoryManager::class,
        ];
    }

    public function getDefinition(): OrderStatusHistoryDefinition
    {
        return OrderStatusHistoryDefinition::getInstance();
    }

    public function getSolver(): OrderStatusHistorySolver
    {
        return OrderStatusHistorySolver::getInstance();
    }

    public function getBuilder(): OrderStatusHistoryBuilder
    {
        return OrderStatusHistoryBuilder::getInstance();
    }

    public function getManager(): OrderStatusHistoryManager
    {
        return OrderStatusHistoryManager::getInstance();
    }
}